ElevenLabs Dubbing
ஒருங்கிணை
elevenlabs/dubbing
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/dubbing?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"target_lang": "es"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/elevenlabs/dubbing?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"target_lang": "es"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"target_lang": "es",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/elevenlabs/dubbing", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ta/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "elevenlabs/dubbing",
"input": {
"target_lang": "es"
}
}
Doitong API மூலம் ElevenLabs Dubbing மாதிரியை (elevenlabs/dubbing) அழைக்கவும். முகவர்களுக்கான ஆவணங்கள்: https://doitong.com/ta/developers/models/elevenlabs/dubbing.md
POST https://api.doitong.com/v1/run/elevenlabs/dubbing?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"target_lang": "es"
}
பதிலின் நிலை "queued" அல்லது "running" எனில், அது "succeeded" ஆகும் வரை GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 மூலம் தொடர்ந்து சரிபார்க்கவும்; கோப்புகள் outputs[].url இல் உள்ளன. அதே body-யுடன் POST https://api.doitong.com/v1/quote/elevenlabs/dubbing அனுப்பினால், இயக்கத்திற்கு முன் துல்லியமான விலை கிடைக்கும்.
எடுத்துக்காட்டு போன்ற கோப்புகள்: $0.60 600 API கிரெடிட்கள் இயக்குவதற்கு முன் உங்கள் கோப்புகள் அளவிடப்படும் இந்தப் பக்கத்தில் இயக்குங்கள்
உங்கள் புதிய API விசை. இது இப்போது மட்டும் காட்டப்படுகிறது; இது ஏற்கனவே கீழே உள்ள குறியீட்டிலும் API விசை புலத்திலும் உள்ளது. இதை ரகசியமாக வைத்திருங்கள்: உலாவியில் இயங்கும் குறியீட்டில் இதை ஒருபோதும் வைக்காதீர்கள்.
உங்கள் முதல் முடிவு இங்கே வரும்
கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.
கோரிக்கையை உருவாக்கு
மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.
/run/elevenlabs/dubbing?wait=20
விலை → $0.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/dubbing?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"target_lang": "es"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/elevenlabs/dubbing?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"target_lang": "es"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"target_lang": "es",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/elevenlabs/dubbing", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "elevenlabs/dubbing",
"input": {
"target_lang": "es"
},
"wait_seconds": 20
}
}
}
இந்தக் கோரிக்கையை இயக்கு
உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்
ElevenLabs Dubbing பற்றி
பேசப்பட்ட உள்ளடக்கத்தை மற்றொரு மொழிக்கு மொழிபெயர்க்கிறது. `target_lang` அவசியம்; `audio_url` அல்லது `video_url` ஆகியவற்றில் ஒன்றை வழங்க வேண்டும். இரண்டும் வழங்கப்பட்டால் வீடியோ பயன்படுத்தப்படும். `source_lang` விடுபட்டால் தானாகக் கண்டறியப்படும்; `num_speakers` (1 முதல் 50) கைமுறையாக அமைக்கலாம். டப்பிங் செய்யப்பட்ட ஆடியோவைத் திருப்பி வழங்குகிறது; வீடியோ வழங்கப்பட்டிருந்தால் டப்பிங் செய்யப்பட்ட வீடியோவையும் வழங்குகிறது.
அளவுருக்கள்
நியமப் பெயர் அல்லது நேட்டிவ் பெயர் இரண்டில் ஒன்றை மட்டும் அனுப்பவும். நியமப் பெயர்கள்
audio_urlவிருப்பத்தேர்வு
audio
video_urlவிருப்பத்தேர்வு
video
target_langதேவை
source_langவிருப்பத்தேர்வு
num_speakersவிருப்பத்தேர்வு
highest_resolutionவிருப்பத்தேர்வு
கோப்பு அளவுருக்கள் பொதுவான https:// URL, 10 MB வரையிலான data: URI அல்லது பதிவேற்றத்தின் file_url-ஐ ஏற்கும். கோப்புகள்
வெளியீடு
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "elevenlabs/dubbing",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 600,
"usd": "0.60",
"charged": 600,
"refunded": 0
},
"input": {
"target_lang": "es"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"target_lang": "es"
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
வெளியீட்டின் புலங்கள்
- video
- object {url, content_type, file_name, file_size} | nullகோரிக்கையில் `video_url` இருந்தால், இதில் டப் செய்யப்பட்ட வீடியோ கோப்பு இருக்கும்.
- audio
- object {url, content_type, file_name, file_size} | nullடப் செய்யப்பட்ட உள்ளடக்கத்தைக் கொண்ட ஆடியோ கோப்பு.
- target_lang
- stringடப் செய்யப்பட்ட உள்ளடக்கத்திற்குப் பயன்படுத்தப்படும் இலக்கு மொழி.
பிற ElevenLabs மாறுபாடுகள்
மேலும் மாதிரிகள்: உதட்டு ஒத்திசைவு & அவதார்கள்
AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/elevenlabs/dubbing.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt